Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class StatistikAustriaDatenExport
    Inherits AbstractForm
    Implements InterfaceExportableGrid

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Public Sub Export(sender As Object) Implements InterfaceExportableGrid.Export
        FunctionsDataGrid.ExportDGToCSV(DataGridView1)
    End Sub

    Private Sub StatistikAustriaDatenExport_Load(sender As Object, e As EventArgs) Handles MyBase.Load

    End Sub

    Public Sub LadeDaten(datumVon As DateTime, datumBis As DateTime, typ As String, abgeschlossen As Boolean, fillter As String)
        Try
            Me.DsVorgangStatistik1.EnforceConstraints = False
            BuchVorgangArtikelVerkaufMonatlich_AustriaTableAdapter1.FillWithUIDNummer(Me.DsVorgangStatistik1.buchVorgangArtikelVerkaufMonatlich_Austria, datumVon, datumBis, typ, abgeschlossen)
            BindingSource1.Filter = fillter
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub
End Class